Bug 1460928 - Predefined NIC settings in compute profiles aren't set when creating new hosts
Predefined NIC settings in compute profiles aren't set when creating new hosts
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources (Show other bugs)
6.2.7
x86_64 Linux
unspecified Severity low (vote)
: GA
: --
Assigned To: satellite6-bugs
orabin
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 03:40 EDT by gpizarro
Modified: 2018-02-21 11:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:51:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gpizarro 2017-06-13 03:40:00 EDT
Description of problem:

When creating a new host, a predefined compute profile is selected. The defaults set in said profile for the network interface (network type, network, NIC type) aren't passed and they have to be manually set again in the Interfaces tab. Seen in profiles with both VMWare and Libvirt as compute resource.


Version-Release number of selected component (if applicable):

6.2.7 
6.2.8


How reproducible:

Always


Steps to Reproduce:

1. Create compute profile with default values for the network interface.
2. Initiate provisioning with Hosts > New Hosts and select relevant profile.
3. Confirm wrong values in the Interfaces tab.


Actual results:

The predefined settings aren't set when selecting the profile.


Expected results:

The interface is preconfigured as per the profile.


Additional info:

http://projects.theforeman.org/issues/13980
Comment 1 Ondřej Pražák 2017-06-13 09:58:32 EDT
I was able to reproduce this for primary interface on 6.2, additional interfaces seemed to be fine. This is already fixed in 6.3, moving to QE to verify.
Comment 3 orabin 2017-08-16 07:03:17 EDT
Verified.
Version Tested: Satellite-6.3 Snap 11

Steps:
1. Create a Libvirt compute resource
2. Create a compute profile and add 2 interfaces
3. Create a host, select the compute profile
4. Go to interfaces tab and check the interfaces include a Libvirt (from profile EXAMPLE) section
5. Check the Network type, Network and NIC type are correct
Comment 4 pm-sat@redhat.com 2018-02-21 11:51:07 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.